.blog-banner {
  margin-top: 130px;
}

.blog-section {
  width: 100%;
  padding: 50px 0px 0px;
  box-sizing: border-box;
  background: #ffffff;
}

.blog-section .blog__content {
  width: 90%;
  max-width: 1350px;
  margin: 0 auto;
}

.blog-section .recent-blog-section__title {
  font-weight: bold;
  color: #333333;
  text-align: left;
  position: relative;
  box-sizing: border-box;
  margin-top: 20px;
  margin-bottom: 20px;
}

.blog-section .blog__list {
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: 20px;
}

.blog-section .blog__item {
  width: 100%;
  min-height: 290px;
  overflow: hidden;
  display: flex;
  flex-direction: row;
  display: flex;
  justify-content: space-between;
  background: rgb(255, 255, 255);
  border: 1px solid #d2d2d2;
  padding: 10px 10px;
  box-sizing: border-box;
  gap: 25px;
}

.blog-section .blog__item-img {
  width: 300px;
  overflow: hidden;
  flex-shrink: 0;
  position: relative;
  background: #f4f4f5;
}

.blog-section .blog__item-img img {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.blog-section .blog__item-text {
  flex: 1;
  min-height: 290px;
  padding: 30px 25px 10px;
  box-sizing: border-box;
  padding-left: 0px;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}

.blog-section .blog__item-top {
  width: 100%;
}

.blog-section .blog__item-bottom {
  width: 100%;
  display: flex;
  justify-content: space-between;
  margin-top: 35px;
}

.blog-section .blog__item-btn {
  width: 160px;
  height: 48px;
  line-height: 48px;
  text-align: center;
  background: #da251d;
  border-radius: 4px;
  font-weight: 400;
  font-size: 18px;
  color: #ffffff;
  cursor: pointer;
  flex-shrink: 0;
}

.blog-section .blog__item-bottom .blog__item-btn:hover {
  background: #da251d;
}

.blog-section .blog__item-bottom-info {
  display: flex;
  gap: 35px;
}

.blog-section .blog__item-time,
.blog-section .blog__item-views {
  display: flex;
  align-items: center;
  font-weight: 300;
  font-size: 13px;
  color: #121212;
}

.blog-section .blog__item-time img,
.blog-section .blog__item-views img {
  width: 20px;
  margin-right: 10px;
  flex-shrink: 0;
}

.blog-section .blog__item-title {
  font-weight: bold;
  font-size: 18px;
  color: #070707;
  margin-bottom: 25px;
}

.blog-section .blog__item-description {
  font-weight: 400;
  font-size: 16px;
  color: #030303;
  line-height: 24px;
}

.blog-section .blog__pagination {
  width: 100%;
  margin-top: 20px;
  text-align: center;
}

.blog-section .blog__pagination > .page-numbers {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 10px;
}

.blog-section .blog__pagination > .page-numbers a,
.blog-section .blog__pagination > .page-numbers span {
  min-width: 30px;
  background-color: #f4f4f5;
  cursor: pointer;
  border-radius: 2px;
  font-size: 13px;
  color: #606266;
  padding: 6px 12px;
  box-sizing: border-box;
}

.blog-section .blog__pagination > .page-numbers .page-numbers.current {
  background: #da251d;
  color: #ffffff;
}

.blog-section .blog__pagination > .page-numbers a:hover,
.blog-section .blog__pagination > .page-numbers span:hover {
  background: #da251d;
  color: #ffffff;
}

@media screen and (max-width: 760px) {
  .blog-section .blog__item {
    flex-direction: column;
    align-items: flex-start;
    gap: 0px;
  }

  .blog-section .blog__item-img {
    width: 100%;
    height: auto;
  }

  .blog-section .blog__item-img img {
    position: relative;
    width: 100%;
    height: auto;
    top: initial;
    left: initial;
    object-fit: contain;
  }

  .blog-section .blog__item-text {
    width: 100%;
    padding: 20px;
    box-sizing: border-box;
  }

  .blog-section .blog__item-title {
    margin-bottom: 10px;
  }
}

@media screen and (min-width: 760px) and (max-width: 1020px) {
  .blog-section .blog__item {
    flex-direction: column;
    align-items: flex-start;
    gap: 0px;
  }

  .blog-section .blog__item-img img {
    position: relative;
    width: 100%;
    height: auto;
    top: initial;
    left: initial;
    object-fit: contain;
  }

  .blog-section .blog__item-text {
    width: 100%;
    padding: 20px;
    box-sizing: border-box;
  }

  .blog-section .blog__item-title {
    margin-bottom: 10px;
  }
}
